## javatar 2.5+dfsg

=== debian/changelog ===
javatar (2.5+dfsg-5) unstable; urgency=low

  * QA upload.
  * Orphaning package.

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Aug 2011 21:50:39 +0200

javatar (2.5+dfsg-4) unstable; urgency=low

  * Converted source into 3.0 (quilt)
    - Removed simple patchsys from debian/rules
  * Updated and renamed patch give correct build options to the java compiler.
    - Added a description to the patch.
  * Added missing java runtimes to libjavatar-java's Depends.
  * Added missing Depends on libgnujaf-java.
  * Removed Michael Koch from Uploaders (per request). Thanks for your work
    on this package.
  * Merged Build-Depends and Build-Depends-Indep - the latter does not make
    much sense for a package that only builds "arch: all" packages.

 -- Niels Thykier <niels@thykier.net>  Thu, 21 Jan 2010 17:55:05 +0100

javatar (2.5+dfsg-3) unstable; urgency=low

  * Use default-jdk instead of java-gcj-compat. (Closes: #526285, #543088)
  * Bumped Standard-Versions to 3.8.3 - no changes required.
  * Bumped debhelper compat to version 7 - no changes required.
  * Added missing ${misc:Depends} in Depends line.
  * Renamed README.Debian-source to README.source, since this is 
    name used in the policy and added information about the Debian
    specific patch.
  * Acknowledged NMU [Closes: #486349] [Thanks to Vincent Fourmond
    <fourmond@debian.org>].
  * Created git repository and added Vcs-fields to debian/control.

 -- Niels Thykier <niels@thykier.net>  Mon, 24 Aug 2009 22:05:47 +0200

javatar (2.5+dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Do not forget to include code in the produced jar (closes: #486349),
    many thanks to Peter Green <plugwash@p10link.net> for the fix !
  * Already conforms to standards 3.8.0

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 16 Jun 2008 19:57:39 +0200

javatar (2.5+dfsg-2) unstable; urgency=low

  * Fixed watch file. Closes: #450359.
  * Added Homepage tag to debian/control.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Thu, 29 Nov 2007 21:22:30 +0100

javatar (2.5+dfsg-1) unstable; urgency=low

  * New initial release, to replace version 2.5-1 rejected from NEW queue due
    to inclusion of binary-only Jar in upstream source.
    (Closes: #408584)

  * Added a get-orig-source target to debian/rules to download upstream
    tarball and remove library jars.

 -- Paul Cager <paul-debian@home.paulcager.org>  Mon, 12 Mar 2007 13:13:51 +0000

javatar (2.5-1) unstable; urgency=low

  * Initial release
    (Closes: #408584)

 -- Paul Cager <paul-debian@home.paulcager.org>  Sat, 13 Jan 2007 23:04:12 +0000
