=== debian/control ===
Source: javatar
Section: java
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: default-jdk, libgnujaf-java, tofrodos, ant (>= 1.6.5), cdbs (>= 0.4.5.3), debhelper (>= 7)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/svn/pkg-java/javatar.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/javatar.git
Homepage: http://www.trustice.com/java/tar/

Package: libjavatar-java
Architecture: all
Depends: default-jre-headless | java5-runtime-headless | java6-runtime-headless,
         libgnujaf-java,
         ${misc:Depends}
Suggests: libjavatar-java-doc
Description: allows access to TAR files from Java
 The package com.ice.tar implements a tar archive io package. This package
 allows you to create, and extract tar archives. Since the package uses
 InputStream and OutputStream, it is possible to combine this package with
 the java.util.zip package to handle .tar.gz files.

Package: libjavatar-java-doc
Architecture: all
Section: doc
Depends: classpath-doc, ${misc:Depends}
Suggests: libjavatar-java
Description: Documentation for JavaTar library
 This library allows you to create, and extract tar archives. Since the package 
 uses InputStream and OutputStream, it is possible to combine this package with
 the java.util.zip package to handle .tar.gz files.
 .
 This package contains the Java API.
