=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for libjavatar-java (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

LIBRARY              := $(shell dpkg-parsechangelog | egrep '^Source:' | cut -f2 -d' ')
VERSION              := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d- | cut -f1 -d+)
API_DOCS             := tar-$(VERSION)/doc/api
JAVA_HOME            := /usr/lib/jvm/default-java
ANT_HOME             := /usr/share/ant
DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar activation.jar
BUILD_FILE           := ./source/com/ice/tar/build.xml
DEB_ANT_INVOKE       := ant -f $(BUILD_FILE)
DEB_ANT_BUILD_TARGET := deploy

# Remove "lib" jars (dfsg checks)
get-orig-source:
	rm -rf orig_tmp
	mkdir orig_tmp
	cd orig_tmp && \
		wget http://www.gjt.org/download/time/java/tar/javatar-$(VERSION).tar.gz && \
		tar xf javatar-$(VERSION).tar.gz && \
		mv  javatar-$(VERSION) javatar-$(VERSION)+dfsg.orig && \
		rm javatar-$(VERSION)+dfsg.orig/jars/*.jar && \
		rm -rf javatar-$(VERSION)+dfsg.orig/classes/com && \
		rm -rf javatar-$(VERSION)+dfsg.orig/doc/api && \
		tar czf ../../javatar_$(VERSION)+dfsg.orig.tar.gz javatar-$(VERSION)+dfsg.orig
	rm -rf orig_tmp

makebuilddir/javatar::
	dos2unix $(BUILD_FILE)

post-patches/javatar::
	unix2dos $(BUILD_FILE)

binary-post-install/libjavatar-java-doc::
	dh_install -plib$(LIBRARY)-java-doc tar-$(VERSION)/doc/api usr/share/doc/lib$(LIBRARY)-java

binary-post-install/libjavatar-java::
	mv tar-$(VERSION)/jars/tar.jar tar-$(VERSION)/jars/$(LIBRARY)-$(VERSION).jar
	dh_install -plib$(LIBRARY)-java tar-$(VERSION)/jars/$(LIBRARY)-$(VERSION).jar usr/share/java
	dh_link usr/share/java/$(LIBRARY)-$(VERSION).jar usr/share/java/$(LIBRARY).jar
	dh_installdocs -plib$(LIBRARY)-java doc/devref.html doc/readme.html debian/README.source

clean::
	rm -rf tar-2.5 classes/com doc/api
